## org.eclipse.emf.spi.cdo
Interface CDOSessionProtocol

All Superinterfaces:
  InternalCDOPackageRegistry.PackageLoader

    public interface CDOSessionProtocol

extends InternalCDOPackageRegistry.PackageLoader

Since:
  2.0

Nested Class Summary
`static class` `CDOSessionProtocol.CommitTransactionResult`
`static class` `CDOSessionProtocol.OpenSessionResult`
`static class` `CDOSessionProtocol.RepositoryTimeResult`

Method Summary
`boolean` `cancelQuery(int queryId)`
`void` `changeSubscription(int viewId, java.util.List<CDOID> cdoIDs, boolean subscribeMode, boolean clear)`
`void` `closeView(int viewId)`
`CDOSessionProtocol.CommitTransactionResult` `commitTransaction(InternalCDOTransaction.InternalCDOCommitContext commitContext, org.eclipse.net4j.util.om.monitor.OMMonitor monitor)`
`CDOSessionProtocol.CommitTransactionResult` `commitTransactionCancel(InternalCDOXATransaction.InternalCDOXACommitContext xaContext, org.eclipse.net4j.util.om.monitor.OMMonitor monitor)`
`CDOSessionProtocol.CommitTransactionResult` `commitTransactionPhase1(InternalCDOXATransaction.InternalCDOXACommitContext xaContext, org.eclipse.net4j.util.om.monitor.OMMonitor monitor)`
`CDOSessionProtocol.CommitTransactionResult` `commitTransactionPhase2(InternalCDOXATransaction.InternalCDOXACommitContext xaContext, org.eclipse.net4j.util.om.monitor.OMMonitor monitor)`
`CDOSessionProtocol.CommitTransactionResult` `commitTransactionPhase3(InternalCDOXATransaction.InternalCDOXACommitContext xaContext, org.eclipse.net4j.util.om.monitor.OMMonitor monitor)`
`java.util.List<CDORemoteSession>` `getRemoteSessions(InternalCDORemoteSessionManager manager, boolean subscribe)`
`CDOSessionProtocol.RepositoryTimeResult` `getRepositoryTime()`
`boolean` `isObjectLocked(CDOView view, CDOObject object, org.eclipse.net4j.util.concurrent.RWLockManager.LockType lockType, boolean byOthers)`
`java.lang.Object` `loadChunk(InternalCDORevision revision, org.eclipse.emf.ecore.EStructuralFeature feature, int accessIndex, int fetchIndex, int fromIndex, int toIndex)`
`void` `loadLibraries(java.util.Set<java.lang.String> missingLibraries, java.io.File cacheFolder)`
`InternalCDORevision` `loadRevisionByVersion(CDOID id, int referenceChunk, int version)`
`java.util.List<InternalCDORevision>` `loadRevisions(java.util.Collection<CDOID> ids, int referenceChunk)`
`java.util.List<InternalCDORevision>` `loadRevisionsByTime(java.util.Collection<CDOID> ids, int referenceChunk, long timeStamp)`
`void` `lockObjects(CDOView view, java.util.Map<CDOID,CDOIDAndVersion> objects, long timeout, org.eclipse.net4j.util.concurrent.RWLockManager.LockType lockType)`
`CDOSessionProtocol.OpenSessionResult` `openSession(java.lang.String repositoryName, boolean passiveUpdateEnabled)`
`void` `openView(int viewId, byte protocolViewType, long timeStamp)`
`java.util.List<java.lang.Object>` `query(int viewID, AbstractQueryIterator<?> queryResult)`
`boolean[]` `setAudit(int viewId, long timeStamp, java.util.List<InternalCDOObject> invalidObjects)`
`void` `setPassiveUpdate(java.util.Map<CDOID,CDOIDAndVersion> idAndVersions, int initialChunkSize, boolean passiveUpdateEnabled)`
`java.util.Collection<CDOTimeStampContext>` `syncRevisions(java.util.Map<CDOID,CDOIDAndVersion> allRevisions, int initialChunkSize)`
`void` `unlockObjects(CDOView view, java.util.Collection<? extends CDOObject> objects, org.eclipse.net4j.util.concurrent.RWLockManager.LockType lockType)`
`void` `unsubscribeRemoteSessions()`
`java.util.List<InternalCDORevision>` `verifyRevision(java.util.List<InternalCDORevision> revisions)`

Methods inherited from interface org.eclipse.emf.cdo.spi.common.model.InternalCDOPackageRegistry.PackageLoader
`loadPackages`

Method Detail

### openSession

    CDOSessionProtocol.OpenSessionResult openSession(java.lang.String repositoryName,
                                                     boolean passiveUpdateEnabled)

### loadLibraries

    void loadLibraries(java.util.Set<java.lang.String> missingLibraries,
                       java.io.File cacheFolder)

### setPassiveUpdate

    void setPassiveUpdate(java.util.Map<CDOID,CDOIDAndVersion> idAndVersions,
                          int initialChunkSize,
                          boolean passiveUpdateEnabled)

### getRepositoryTime

    CDOSessionProtocol.RepositoryTimeResult getRepositoryTime()

### loadChunk

    java.lang.Object loadChunk(InternalCDORevision revision,
                               org.eclipse.emf.ecore.EStructuralFeature feature,
                               int accessIndex,
                               int fetchIndex,
                               int fromIndex,
                               int toIndex)

### loadRevisions

    java.util.List<InternalCDORevision> loadRevisions(java.util.Collection<CDOID> ids,
                                                      int referenceChunk)

### loadRevisionsByTime

    java.util.List<InternalCDORevision> loadRevisionsByTime(java.util.Collection<CDOID> ids,
                                                            int referenceChunk,
                                                            long timeStamp)

### loadRevisionByVersion

    InternalCDORevision loadRevisionByVersion(CDOID id,
                                              int referenceChunk,
                                              int version)

### verifyRevision

    java.util.List<InternalCDORevision> verifyRevision(java.util.List<InternalCDORevision> revisions)

### syncRevisions

    java.util.Collection<CDOTimeStampContext> syncRevisions(java.util.Map<CDOID,CDOIDAndVersion> allRevisions,
                                                            int initialChunkSize)

### openView

    void openView(int viewId,
                  byte protocolViewType,
                  long timeStamp)

### closeView

    void closeView(int viewId)

### setAudit

    boolean[] setAudit(int viewId,
                       long timeStamp,
                       java.util.List<InternalCDOObject> invalidObjects)

### changeSubscription

    void changeSubscription(int viewId,
                            java.util.List<CDOID> cdoIDs,
                            boolean subscribeMode,
                            boolean clear)

### query

    java.util.List<java.lang.Object> query(int viewID,
                                           AbstractQueryIterator<?> queryResult)

### cancelQuery

    boolean cancelQuery(int queryId)

### lockObjects

    void lockObjects(CDOView view,
                     java.util.Map<CDOID,CDOIDAndVersion> objects,
                     long timeout,
                     org.eclipse.net4j.util.concurrent.RWLockManager.LockType lockType)
                     throws java.lang.InterruptedException

  Throws:
    `java.lang.InterruptedException`

### unlockObjects

    void unlockObjects(CDOView view,
                       java.util.Collection<? extends CDOObject> objects,
                       org.eclipse.net4j.util.concurrent.RWLockManager.LockType lockType)

### isObjectLocked

    boolean isObjectLocked(CDOView view,
                           CDOObject object,
                           org.eclipse.net4j.util.concurrent.RWLockManager.LockType lockType,
                           boolean byOthers)

### commitTransaction

    CDOSessionProtocol.CommitTransactionResult commitTransaction(InternalCDOTransaction.InternalCDOCommitContext commitContext,
                                                                 org.eclipse.net4j.util.om.monitor.OMMonitor monitor)

### commitTransactionPhase1

    CDOSessionProtocol.CommitTransactionResult commitTransactionPhase1(InternalCDOXATransaction.InternalCDOXACommitContext xaContext,
                                                                       org.eclipse.net4j.util.om.monitor.OMMonitor monitor)

### commitTransactionPhase2

    CDOSessionProtocol.CommitTransactionResult commitTransactionPhase2(InternalCDOXATransaction.InternalCDOXACommitContext xaContext,
                                                                       org.eclipse.net4j.util.om.monitor.OMMonitor monitor)

### commitTransactionPhase3

    CDOSessionProtocol.CommitTransactionResult commitTransactionPhase3(InternalCDOXATransaction.InternalCDOXACommitContext xaContext,
                                                                       org.eclipse.net4j.util.om.monitor.OMMonitor monitor)

### commitTransactionCancel

    CDOSessionProtocol.CommitTransactionResult commitTransactionCancel(InternalCDOXATransaction.InternalCDOXACommitContext xaContext,
                                                                       org.eclipse.net4j.util.om.monitor.OMMonitor monitor)

### getRemoteSessions

    java.util.List<CDORemoteSession> getRemoteSessions(InternalCDORemoteSessionManager manager,
                                                       boolean subscribe)

### unsubscribeRemoteSessions

    void unsubscribeRemoteSessions()

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.